
Summary:	The standard terminal emulator for the X Window System
Summary(de):	Der Standardterminalemulator für das X Window System
Name:		xterm
Version:	324
Release:	%mkrel 1
Source0:	ftp://invisible-island.net/xterm/%{name}-%version.tar.xz
Source1:	%name.desktop
Source2:	%name-root.desktop
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Source20:   	colortest.pl
Url:		http://invisible-island.net/xterm/
License:	MIT
Group:		Terminals
BuildRequires:	%{_lib}x11-devel
BuildRequires:	%{_lib}xaw-devel
BuildRequires:	%{_lib}xft-devel
BuildRequires:	%{_lib}xmu-devel
BuildRequires:	%{_lib}xt-devel
BuildRequires:	fontconfig-devel
BuildRequires:  %{_lib}ncurses-devel
BuildRequires:  luit
BuildRoot: %{_tmppath}/%{name}-%{version}-%{version}-buildroot
Requires: luit
Requires(post,postun):	update-alternatives
Obsoletes:  %name < %version


%description
The XTerm program is the standard terminal emulator for the X Window System. It
provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for programs
that can't use the window system directly. If the underlying operating system
supports terminal resizing capabilities (for example, the SIGWINCH signal in
systems derived from 4.3bsd), xterm will use the facilities to notify programs
running in the window whenever it is resized.

The xterm included in this package has support for 256 colors enabled.

%description -l de
Das XTerm Programm ist der Standardterminalemulator für das X Window System.
Er bietet DEC VT102- und Tektronix 4014-kompatible Terminals für Programme, die 
das Fenstersystem nicht direkt verwenden können. Diese Version implementiert 
ISO/ANSI-Farben und die meisten der Steuersequenzen, die von DEC VT220-Terminals 
verwendet werden.

Dieses Paket bietet vier Kommandos:

xterm, den traditionellen Terminal-Emulator;

uxterm, einen Wrapper um xterm mit intelligentem Wissen über Locale-Einstellungen 
(insbesondere wenn die UTF-8-Zeichenkodierung verwendet wird), der aber das 
luit-Programm aus dem Paket xutils benötigt;

koi8rxterm, einen Wrapper ähnlich wie uxterm für Locales, die die KOI8-R-Zeichenkodierung 
verwenden; und

lxterm, einen einfachen Wrapper, der anhand der Locale-Einstellungen des Benutzers
auswählt, welches der aufgeführten Kommandos zu starten ist.

Eine komplette Liste der Steuersequenzen, die vom X-Terminal-Emulator unterstützt
werden, steht in /usr/share/doc/xterm.

Das Programm xterm verwendet Bitmap-Bilder aus dem Paket xlibs-data. Diejenigen, 
die an der Verwendung von koi8rxterm interessiert sind, werden wahrscheinlich auch 
das Paket »xfonts-cyrillic« installieren wollen.

%package root
Summary: root terminal for %name
Group: Terminals
Requires: %name
Requires: gksu
BuildArch: noarch

%description root
Root terminal for %{name}


%prep
%setup -q
cp %{SOURCE20} .

%build
export LDFLAGS="$LDFLAGS -ltinfo"

%configure2_5x \
   --disable-full-tgetent \
   --enable-wide-chars \
   --x-includes=%{_includedir}/freetype2 \
   --enable-luit \
   --enable-256-color \
   --with-app-defaults=%{_libdir}/X11/app-defaults

%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

cat << EOF >> $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/XTerm

*.vt100.font: -misc-fixed-medium-r-normal--15-140-75-75-c-90-iso10646-1
*.vt100.encodingMode: locale
*.locale: true
*.PtyInitialErase: on
*.backarrowKeyIsErase: on
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-TerminalEmulator" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*


for xpm in xterm{-color_32x32,-color_48x48,_32x32,_48x48}.xpm; do
	rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/$xpm
done
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{_sourcedir}/xterm-16x16.png \
	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/xterm-terminal.png
install -m 644 %{_sourcedir}/xterm-32x32.png \
	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/xterm-terminal.png
install -m 644 %{_sourcedir}/xterm-48x48.png \
	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/xterm-terminal.png

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 %{_sourcedir}/xterm-48x48.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/xterm-terminal.png

%if 0
mv $RPM_BUILD_ROOT%{_bindir}/xterm $RPM_BUILD_ROOT%{_bindir}/xterm.real
cat << EOF >> $RPM_BUILD_ROOT%{_bindir}/xterm
#!/bin/bash

if echo "\$@" | grep -- '-name' >&/dev/null ; then
	 exec %{_bindir}/xterm.real "\$@"
else exec %{_bindir}/xterm.real -name Terminal "\$@"
fi
EOF
chmod a+rx $r%{_bindir}/xterm
%endif



%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
update-alternatives --install %{_bindir}/xvt xvt %{_bindir}/xterm 18 || :

%postun
%update_icon_cache hicolor
[[ "$1" = "0" ]] && update-alternatives --remove xvt %{_bindir}/xterm || :

%files
%defattr(-,root,root)
%doc ctlseqs.txt colortest.pl
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/X11/app-defaults/*
%_datadir/applications/%name.desktop
%{_iconsdir}/hicolor/*/apps/xterm-terminal.png
%{_datadir}/pixmaps

%files root
%defattr(-,root,root,-)
%{_datadir}/applications/%{name}-root.desktop


%changelog
* Sat Apr 23 2016 bb <bb> 324-1pclos2016
- update

* Mon Jan 18 2016 bb <bb> 322-1pclos2016
- update

* Mon Aug 31 2015 bb <bb> 320-1pclos2015
- update

* Sat Aug 29 2015 bb <bb> 319-1pclos2015
- update

